Bug 2063106 - F35FailsToInstall: koji-osbuild-tests
Summary: F35FailsToInstall: koji-osbuild-tests
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: koji-osbuild
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christian Kellner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F35FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2022-03-11 09:51 UTC by Miro Hrončok
Modified: 2022-04-06 10:23 UTC (History)
3 users (show)

Fixed In Version: koji-osbuild-5-0.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-04-06 10:23:12 UTC
Type: ---


Attachments (Terms of Use)

Description Miro Hrončok 2022-03-11 09:51:37 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

Your package (koji-osbuild) Fails To Install in Fedora 35:

can't install koji-osbuild-tests:
  - nothing provides osbuild-composer-tests needed by koji-osbuild-tests-4-0.fc35.noarch
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.


P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors. To reproduce, use the koji/local repo only, e.g. in mock:

    $ mock -r fedora-35-x86_64 --disablerepo='*' --enablerepo=local install koji-osbuild-tests


P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Miro Hrončok 2022-03-18 11:46:09 UTC
Hello,

This is the first reminder (step 3 from https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs).

If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.

Comment 2 Christian Kellner 2022-04-06 10:23:12 UTC
We decided to not ship koji-osbuild-tests in Fedora. They are only used in our CI.


Note You need to log in before you can comment on or make changes to this bug.